## glaxnimate 0.5.80

=== debian/changelog ===
glaxnimate (0.5.80-0zneon+24.04+noble+release+build2) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 21 Feb 2025 22:38:42 +0000

glaxnimate (0.5.80-0neon) noble; urgency=low

  [ Scarlett Moore ]
  * Initial release. Closes: #nnnn
    <nnnn is the bug number of your ITP>

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 22 Feb 2025 08:31:28 +1000
