=== debian/control ===
Source: glaxnimate
Section: unknown
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules,
               git,
               libarchive-dev,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libkf5archive-dev,
               libkf5completion-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libpotrace-dev,
               libpython3-dev,
               libqt5svg5-dev,
               libswscale-dev,
               pkg-kde-tools,
               pybind11-dev,
               python3-pybind11,
               qt5-image-formats-plugins,
               qtbase5-dev,
               qttools5-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://glaxnimate.mattbas.org
Vcs-Git: https://invent.kde.org/neon/neon-packaging/glaxnimate.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/glaxnimate
Maintainer: Neon CI <neon@kde.org>

Package: glaxnimate
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple vector animation program.
 This Debian binary package was auto-generated by the
 debmake(1) command provided by the debmake package.
