=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/glaxnimate.*\.tar\.gz/glaxnimate-$1\.tar\.gz/g \
  https://gitlab.com/mattbas/glaxnimate/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
