## glaxnimate 0.5.80+p24.04+vstable+git20250925.1428

=== debian/changelog ===
glaxnimate (0.5.80+p24.04+vstable+git20250925.1428-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 14:28:15 +0000
