## glaxnimate 0.5.80+p24.04+vstable+git20250928.0636

=== debian/changelog ===
glaxnimate (0.5.80+p24.04+vstable+git20250928.0636-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:36:15 +0000
