## glaxnimate 0.5.80+p24.04+vstable+git20251011.2359

=== debian/changelog ===
glaxnimate (0.5.80+p24.04+vstable+git20251011.2359-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:59:52 +0000
