## glaxnimate 0.5.80+p24.04+vstable+git20251015.1155

=== debian/changelog ===
glaxnimate (0.5.80+p24.04+vstable+git20251015.1155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:55:27 +0000
