=== debian/control ===
Source: glaxnimate
Section: unknown
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcompletion-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               libarchive-dev,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libpotrace-dev,
               libpython3-dev,
               libswscale-dev,
               pkg-kde-tools-neon,
               pybind11-dev,
               python3-pybind11,
               qt6-base-dev,
               qt6-imageformats-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://glaxnimate.mattbas.org
Vcs-Git: https://invent.kde.org/neon/neon-packaging/glaxnimate.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/glaxnimate
Maintainer: Neon CI <neon@kde.org>

Package: glaxnimate
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple vector animation program.
 This Debian binary package was auto-generated by the
 debmake(1) command provided by the debmake package.
