## glaxnimate 0.5.80+p24.04+vstable+git20251021.0656

=== debian/changelog ===
glaxnimate (0.5.80+p24.04+vstable+git20251021.0656-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:56:16 +0000
