## glaxnimate 0.5.80+p24.04+vstable+git20251231.0108

=== debian/changelog ===
glaxnimate (0.5.80+p24.04+vstable+git20251231.0108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:08:24 +0000
