## glaxnimate 0.5.80+p24.04+vstable+git20260107.0718

=== debian/changelog ===
glaxnimate (0.5.80+p24.04+vstable+git20260107.0718-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 07:18:30 +0000
