## glaxnimate 0.5.80+p24.04+vstable+git20260131.0300

=== debian/changelog ===
glaxnimate (0.5.80+p24.04+vstable+git20260131.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:00:52 +0000
