## glaxnimate 0.5.80+p24.04+vstable+git20260202.1142

=== debian/changelog ===
glaxnimate (0.5.80+p24.04+vstable+git20260202.1142-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 11:42:54 +0000
