=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	-DBUILD_WITH_QT6=ON
+	-DBUILD_WITH_QT6=ON \
+	-DVERSION_SUFFIX=NEON
 #	-DMOBILE_UI=ON
