=== debian/changelog ===
glaxnimate (0.5.80+p24.04+vstable+git20260204.0049-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 00:49:39 +0000
