## glaxnimate 0.5.80+p24.04+vunstable+git20260107.0953

=== debian/changelog ===
glaxnimate (0.5.80+p24.04+vunstable+git20260107.0953-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 09:54:01 +0000
