## glaxnimate 0.5.80+p24.04+vunstable+git20260201.0617

=== debian/changelog ===
glaxnimate (0.5.80+p24.04+vunstable+git20260201.0617-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:17:18 +0000
